#!/bin/sh
#Puppy Screenshot
# Trio Tj - GPL 2009
#localization mod by Gojko 2010

### mtpaintsnapshot.sh.mo
_Title="Screenshot"
_Frame="Please choose"
_Button1="Wait 10 Sec"
_Title2="Puppy Screenshot"
_Dialog="Please wait & prepare your screen"
_Button2=" Now "
_Button3="Quit"
### end of mtpaintsnapshot.mo


#-- simple localization for scripts by Shinobar based on MU. 
# set locale
for lng in C $(echo $LANGUAGE|cut -d':' -f1) $LC_ALL $LANG;do :;done   # ex.    ja_JP.UTF-8
# search locale file
lng1=$(echo $lng|cut -d'.' -f1)      # ex.   ja_JP
lng2=$(echo $lng|cut -d'_' -f1)   # ex.   ja
LOCALEDIR=/usr/share/locale
[ "$mo" ] || mo=$(basename $0).mo
for D in C en $lng2 $lng1 $lng
do
   F="$LOCALEDIR/$D/LC_MESSAGES/$mo"
   [ -f "$F" ] && . "$F"
done


export Screenshot="	
<window title=\"$_Title\">
	
  <frame      $_Frame     >
  <pixmap><input file>/usr/share/pixmaps/gtkam.png</input></pixmap>
  <vbox>
   <button>
    <input file icon=\"gtk-refresh\"></input>
    <label>$_Button1</label>
	<action>(echo 10; sleep 1 ; echo 20; sleep 1 ; echo 30 ; sleep 1 ; echo 40; sleep 1 ; echo 50 ; sleep 1 ; echo 60 ; sleep 1 ; echo 70 ; sleep 1 ; echo 80 ; sleep 1 ; echo 90 ; sleep 1 ; echo 100 ) | Xdialog --title '$_Title2' --beep-after --wrap --screen-center --center --no-buttons --gauge '$_Dialog ' 10 50 100 ; exec mtpaint -s &</action>
	<action>exit: Screenshot</action>
   </button>
   <button>
    <input file icon=\"gtk-apply\"></input>
    <label>$_Button2</label>
    <action>exec mtpaint -s &</action>
	<action>exit: Screenshot</action>
   </button>
   <button>
    <input file icon=\"gtk-quit\"></input>
    <label>$_Button3</label>
   </button>
 </vbox>
 </frame>
</window>"

I=$IFS; IFS=""
for STATEMENTS in  $(gtkdialog3 --program=Screenshot --center ); do
	eval $STATEMENTS
done
IFS=$I
